---
title: pydo.databases.get_do_settings()
description: Retrieve DO Settings for a Database Cluster
product: Reference
url: https://docs.digitalocean.com/reference/pydo/reference/databases/get_do_settings/
last_updated: "2026-08-03"
---

> **For AI agents:** The documentation index is at [https://docs.digitalocean.com/llms.txt](https://docs.digitalocean.com/llms.txt). Markdown versions of pages use the same URL with `index.html.md` in place of the HTML page (for example, append `index.html.md` to the directory path instead of opening the HTML document).

# pydo.databases.get_do_settings()

Generated on 3 Aug 2026 from `pydo` version [`v0.40.0`](https://github.com/digitalocean/pydo/releases/tag/v0.40.0v0.40.0)

## Usage

```python
client.databases.get_do_settings(
    database_cluster_uuid="9cc10173-e9ea-4176-9dbc-a4cee4c4ff30",
)
```

Returns `JSON`Raises `HttpResponseError`

## Description

To retrieve the DigitalOcean-specific settings for a database cluster, send a GET request to [`/v2/databases/{database_cluster_uuid}/do_settings`](https://docs.digitalocean.com/reference/api/reference/databases/index.html.md#databases_get_do_settings). The response will include the current `service_cnames` configuration.

## Parameters

`database_cluster_uuid` string required

A unique identifier for a database cluster.

## Request Sample

## Show Request Sample

```python
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

resp = client.databases.get_do_settings(database_cluster_uuid="9cc10173-e9ea-4176-9dbc-a4cee4c4ff30")
```

## Response Example

## Show Response Example

```json
{
  "do_settings": {
    "service_cnames": [
      "db.example.com",
      "api.myapp.io"
    ]
  }
}
```

## More Information

See [`/v2/databases/{database_cluster_uuid}/do_settings`](https://docs.digitalocean.com/reference/api/reference/databases/index.html.md#databases_get_do_settings) in the API reference for additional detail on responses, headers, parameters, and more.